Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004453 [JEDI VCL] 02 Installation block always 2008-09-12 06:55 2008-10-10 05:11
Reporter Jim M View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0004453: Installation stops
Description Borland Delphi Version 15.0
Copyright (c) 1983,2002 Borland Software Corporation
D:\Delphi\Delphi AddIns\JVCL 3.33\run\JvTranslator.pas(501) Error: Not enough actual parameters
JvCmpD7R.dpk(68) Fatal: Could not compile used unit '..\..\run\JvTranslator.pas'
Additional Information Checking "Do not stop on errors" has no effect. It stops.
Install can't complete
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0014556)
obones (administrator)
2008-09-12 07:07

Have you installed the proper version of the JCL?
Can you try with the latest JCL and JVCL?
(0014557)
AHUser (developer)
2008-09-13 06:53

"Do not stop on errors" does not mean that the JVCL will be installed if there are errors. Its purpose is to get a list of all errors in all packages and not just the errors in the first package that fails.
(0014695)
davidateeyore (reporter)
2008-09-25 21:30

Installer stops on this error:
C:\Program Files\Borland\BDS\4.0\source\jvcl335\run\JvTranslator.pas(501) Error: E2035 Not enough actual parameters
JvCmpD10R.dpk(68) Fatal: F2063 Could not compile used unit '..\..\run\JvTranslator.pas'
JCL ver 113 preview installed OK on BDS 2006 Pro. previous JVCL installed OK
(0014696)
obones (administrator)
2008-09-26 00:02

What version are you using?
It looks to me as if you are using a daily snapshot, but one that is slithgly outdated. Please use the one on the mirror:

http://obones.free.fr/jvcl_daily/ [^]
(0014699)
davidateeyore (reporter)
2008-09-26 19:21

updating to JCL 113 (the latest on Sourceforge) and using JVCL3-2008-09-26 files the following error appears...
C:\Program Files\Borland\BDS\4.0\source\JVCL3-2008-09-26\run\JvVersionControlActionsEngine.pas(37) Fatal: F1026 File not found: 'JclVersionControl.dcu'

In JCL 113 there are references to 'JclVersionControlExpert'...
(0014707)
davidateeyore (reporter)
2008-09-28 23:28

updated further to JVCL3-2008-09-27 (from obones.free.fr/jvcl_daily) files the following error still appears...
C:\Program Files\Borland\BDS\4.0\source\JVCL3-2008-09-26\run\JvVersionControlActionsEngine.pas(37) Fatal: F1026 File not found: 'JclVersionControl.dcu'

Changing the Uses line to ..., JclVersionControlExpert; doesn't help..still has errors.
(0014817)
obones (administrator)
2008-10-10 05:10

Current SVN has no problems, please upgrade

- Issue History
Date Modified Username Field Change
2008-09-12 06:55 Jim M New Issue
2008-09-12 07:07 obones Note Added: 0014556
2008-09-12 07:07 obones Status new => feedback
2008-09-13 06:53 AHUser Note Added: 0014557
2008-09-25 21:30 davidateeyore Note Added: 0014695
2008-09-26 00:02 obones Note Added: 0014696
2008-09-26 19:21 davidateeyore Note Added: 0014699
2008-09-28 23:28 davidateeyore Note Added: 0014707
2008-10-10 05:10 obones Status feedback => resolved
2008-10-10 05:10 obones Fixed in Version => Daily / SVN
2008-10-10 05:10 obones Resolution open => fixed
2008-10-10 05:10 obones Assigned To => obones
2008-10-10 05:10 obones Note Added: 0014817


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker